@import './assets/styles/variables.scss';

.App,
#root {
    display: flex;
    flex-direction: column;
    width: 100vw;
    min-width: 0;
    max-width: 100vw;
    height: 100vh;
    min-height: 0;
    max-height: 100vh;
}

header {
    display: flex;
    width: 100vw;
    min-width: 0;
    max-width: 100vw;
    height: fit-content;
    min-height: 0;
    max-height: fit-content;
    overflow: hidden;
}

main {
    display: flex;
    flex-direction: row;
    width: 100vw;
    min-width: 0;
    max-width: 100vw;
    height: $main-height;
    min-height: 0;
    max-height: 100vh;

    // width: 100%;
    // max-width: 100%;
    // height: $main-height;
    // min-height: $main-height;
    // max-height: $main-height;
    // overflow: hidden;
}

aside {
    display: flex;
    flex-direction: column;
    width: 36rem;
    min-width: 0;
    height: $main-height;
    min-height: 0;
    max-height: $main-height;
}

.main-section {
    display: flex;
    flex-direction: column;
    justify-content: start;
    width: 100vw;
    min-width: 0;
    max-width: 100vw;
    height: $main-height;
    min-height: 0;
    max-height: $main-height;
}
